#ifndef MAINFRAME_H
#define MAINFRAME_H

#include "mainfunc.h"
#include <memory>
#include <wx/wx.h>

class MainFrame : public wxFrame
{
public:
    MainFrame(const wxString& title);
    ~MainFrame();

public:
    bool Init();

private:
    wxTextCtrl* proj_root_;

private:
    // 选择目录
    void OnSelectDir(wxCommandEvent& event);

    void Start(wxCommandEvent& event);

private:
    std::shared_ptr<MatchFunc> match_func_;
};

#endif   // MAINFRAME_H